# Retrieve a payment initiation

Get payment initiation info by ID. In addition to [webhooks](/api-reference/webhook-event/eventbatchpaymentinitiationsstatechange), this endpoint can be used for polling the status of a payment initiation.

Endpoint: GET /profiles/{profileId}/batch-groups/{batchGroupId}/payment-initiations/{paymentInitiationId}
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    The ID of the profile that the batch group is associated with.

  - `batchGroupId` (string, required)
    The batch group ID.

  - `paymentInitiationId` (integer, required)
    The payment initiation ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `id` (integer)
    Payment initiation ID.
    Example: 12345

  - `batchGroupId` (string)
    Batch group ID.
    Example: 068e186d-9632-4937-b753-af3e53f4d0b0

  - `reference` (string)
    Payment reference that will be passed to the network. Can be used for reconciliation.
    Example: B1234567

  - `userId` (integer)
    The ID of the user who initiated this payment.
    Example: 33333333

  - `profileId` (integer)
    The ID of the profile this payment belongs to.
    Example: 44444444

  - `type` (string)
    Payment type.
    Enum: "DIRECT_DEBIT"

  - `status` (string)
    Payment initiation status:
- `NEW` — Payment initiation created
- `PROCESSING` — Payment is being processed
- `COMPLETED` — Payment completed successfully
- `FAILED` — Payment failed
- `CHARGED_BACK` — Payment was charged back
    Enum: "NEW", "PROCESSING", "COMPLETED", "FAILED", "CHARGED_BACK"

  - `accountId` (integer)
    External account ID associated with the payment.
    Example: 1

  - `transferId` (integer | null)
    Transfer ID of the direct debit payment. Present only after the direct debit is initiated.
    Example: null

  - `createdTime` (string)
    Date and time when the payment initiation was created.
    Example: 2022-01-01T19:51:41.423404Z

